掌静脉模组支持掌静脉注册，识别功能，同时也提供通过图片注册掌静脉功能。

常见有两种应用场景：单模组使用，多设备集群分发注册识别。

## 单模组使用

![](./local_use.svg)

在此应用场景下，【门禁面板机】需要完成和【掌静脉模组】通信协议的对接。

当注册用户时，门禁面板机向掌静脉模组发送注册命令使模块进入【注册模式】，并提示【用户】将【手掌】置于掌静脉模组上方进行注册，注册成功后，掌静脉模组将会上报一个【唯一标识ID】至门禁面板机，面板机需要将该ID与用户进行绑定。

注册成功后，门禁面板机可发送指令使模组切换至【识别模式】，当用户将手置于掌静脉模组上方，模组会和之前注册的掌静脉底库进行比对，比对结束之后，将会向门禁面板机上报ID以标识此次识别结果，此时面板机可依靠此ID和之前记录的注册ID进行比对，如果ID相同则表示匹配上该用户。

## 多模组集群使用

![](muti_use.svg)

在此应用场景下，【门禁面板机】需要完成和【掌静脉模组】通行协议的对接，且需要服务器进行掌静脉注册图片管理及分发。

考虑到常见的门禁通行场景，掌静脉模组支持注册时获取掌静脉注册图片，然后再使用该图片进行掌静脉注册。

通过这种方式，用户在注册时，可以通掌静脉注册机获取掌静脉注册图片，然后在将掌静脉注册图片发送至服务器，服务器接收到图片之后，再将图片下发至各个门禁面板机以图片方式进行注册。这样就可以达到一端注册，多端使用的效果。



